<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo2.xml</name>
  <program_name>echo2.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox1_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>main_box</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox1</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>label2</name>
		<label>Flange: </label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>2</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkLabel</class>
		<name>label3</name>
		<label>effect</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>2</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkHScale</class>
		<name>hscale1</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>adjustment_changed</name>
		  <handler>gdam_skin_adjustment:effect</handler>
		  <last_modification_time>Fri, 24 Mar 2000 21:00:30 GMT</last_modification_time>
		</signal>
		<draw_value>True</draw_value>
		<value_pos>GTK_POS_TOP</value_pos>
		<digits>1</digits>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>1</value>
		<lower>0</lower>
		<upper>2</upper>
		<step>0.1</step>
		<page>0.1</page>
		<page_size>0</page_size>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button1</name>
		<tooltip>assign midi control</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>pressed</name>
		  <handler>gdam_skin_try_or_destroy:gdam_input_button:effect:0:2:Effect</handler>
		  <last_modification_time>Fri, 24 Mar 2000 21:02:01 GMT</last_modification_time>
		</signal>
		<label>M</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkDrawingArea</class>
	      <name>drawing_area</name>
	      <width>200</width>
	      <height>30</height>
	      <signal>
		<name>whatever</name>
		<handler>gdam_fir_filter_drawing_area</handler>
		<last_modification_time>Sat, 19 Feb 2000 21:35:45 GMT</last_modification_time>
	      </signal>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>togglebutton2</name>
	      <tooltip>toggle chorus</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:chorus</handler>
		<last_modification_time>Mon, 27 Mar 2000 00:15:10 GMT</last_modification_time>
	      </signal>
	      <label>C</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button5</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:chorus:0:2:Chorus</handler>
		<last_modification_time>Sun, 05 Mar 2000 22:30:44 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button6</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:flange</handler>
		<last_modification_time>Mon, 27 Mar 2000 04:41:29 GMT</last_modification_time>
	      </signal>
	      <label>?</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox6</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_buffer_combo:buffer_id</handler>
		<last_modification_time>Sun, 02 Apr 2000 00:55:55 GMT</last_modification_time>
	      </signal>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>Placeholder</class>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkHScrollbar</class>
	      <name>hscrollbar1</name>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:min_factor</handler>
		<last_modification_time>Fri, 28 Jan 2000 21:22:17 GMT</last_modification_time>
	      </signal>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>0</value>
	      <lower>0</lower>
	      <upper>10</upper>
	      <step>0</step>
	      <page>0</page>
	      <page_size>0.01</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkHScrollbar</class>
	      <name>hscrollbar3</name>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:mid_factor</handler>
		<last_modification_time>Fri, 28 Jan 2000 21:22:10 GMT</last_modification_time>
	      </signal>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>0</value>
	      <lower>0</lower>
	      <upper>10</upper>
	      <step>0</step>
	      <page>0</page>
	      <page_size>0.01</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkHScrollbar</class>
	      <name>hscrollbar2</name>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:max_factor</handler>
		<last_modification_time>Fri, 28 Jan 2000 21:22:10 GMT</last_modification_time>
	      </signal>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>0</value>
	      <lower>0</lower>
	      <upper>10</upper>
	      <step>0</step>
	      <page>0</page>
	      <page_size>0.01</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox5</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox7</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>label4</name>
		<label>Hz:</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>3</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkHScale</class>
		<name>hscale2</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>value_changed</name>
		  <handler>gdam_skin_adjustment:hertz</handler>
		  <last_modification_time>Sat, 04 Mar 2000 15:26:34 GMT</last_modification_time>
		</signal>
		<draw_value>True</draw_value>
		<value_pos>GTK_POS_TOP</value_pos>
		<digits>1</digits>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>0</value>
		<lower>0</lower>
		<upper>20</upper>
		<step>0</step>
		<page>0</page>
		<page_size>0</page_size>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox5</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkButton</class>
		<name>button12</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:8</handler>
		  <last_modification_time>Sun, 29 Oct 2000 02:08:19 GMT</last_modification_time>
		</signal>
		<label>8</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button9</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:4</handler>
		  <last_modification_time>Sun, 02 Apr 2000 21:36:26 GMT</last_modification_time>
		</signal>
		<label>4</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button8</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:2</handler>
		  <last_modification_time>Sun, 02 Apr 2000 21:35:52 GMT</last_modification_time>
		</signal>
		<label>2</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button7</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:1</handler>
		  <last_modification_time>Sun, 02 Apr 2000 01:01:55 GMT</last_modification_time>
		</signal>
		<label>1</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button10</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:0.5</handler>
		  <last_modification_time>Sun, 02 Apr 2000 21:37:09 GMT</last_modification_time>
		</signal>
		<label>1/2</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button11</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_arg_double:beat_factor:0.25</handler>
		  <last_modification_time>Sun, 29 Oct 2000 02:07:12 GMT</last_modification_time>
		</signal>
		<label>1/4</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkFrame</class>
	  <name>frame1</name>
	  <label_xalign>0</label_xalign>
	  <shadow_type>GTK_SHADOW_OUT</shadow_type>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>custom1_button</name>
	    <height>30</height>
	    <signal>
	      <name>value_changed</name>
	      <handler>gdam_skin_adjustment:@0:mid_factor</handler>
	      <last_modification_time>Sun, 29 Oct 2000 01:42:25 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>value_changed</name>
	      <handler>gdam_skin_adjustment:@1:effect:inverted</handler>
	      <last_modification_time>Sun, 29 Oct 2000 01:43:41 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam_button4_clicked</name>
	      <handler>gdam_skin_arg_double:hertz:2:factor</handler>
	      <last_modification_time>Sun, 29 Oct 2000 03:27:28 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam_button5_clicked</name>
	      <handler>gdam_skin_arg_double:hertz:0.5:factor</handler>
	      <last_modification_time>Sun, 29 Oct 2000 03:27:57 GMT</last_modification_time>
	    </signal>
	    <creation_function>deb_panner_create_func</creation_function>
	    <string1>1:0:10:0</string1>
	    <string2>0:0:2:0</string2>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 29 Oct 2000 01:38:47 GMT</last_modification_time>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
